using System;
using System.Text;

class Program{
    public static void Main(){
        string c = Console.ReadLine();
        StringBuilder d = new StringBuilder(c);
        d[0] = c[1];
        d[1] = c[0];
        char c1 = c[0];
        char c2 = c[1];
        string[] a = Console.ReadLine().Split();
        int a1 = int.Parse(a[0]);
        int a2 = int.Parse(a[1]);
        if(Math.Abs(a1 - a2) > 1) Console.WriteLine("nemoguce");
        else{
            if(a1 == a2){
                for(int i = 0; i<a1; i++){
                    Console.Write(c1);
                    Console.Write(c2);
                }
                Console.WriteLine();
            }
            else{
                bool KojeSlovoIdePrvo = a1>a2;
                //a1 > a2 => prvo ide c1
                //a1 < a2 => prvo ide c2
                //a1 == a2 => ovaj slucaj je vec razmotren
                char PrvoSlovo = a1>a2 ? c1 : c2;
                string ParSlova = a1>a2 ? d.ToString() : c;

                Console.Write(PrvoSlovo);
                for(int i = 0; i< Math.Min(a1,a2); i++){
                    Console.Write(ParSlova);
                }
                Console.WriteLine();
            }
        }
    }
}